connection = require '..'

describe 'connection', ->
  it 'should connect', (done) ->
    connection.on 'connected', ->
      expect(true).toBe true
      done()
  
  it 'should hold a reference to mongoose', ->
    expect(connection.mongoose).not.toBe undefined
  
  it 'should use global mongoose if available', ->
    global.mongoose = {
      connection: {
        on: -> null
        close: (callback) -> callback()
      }
      connect: -> null
    }
    connection = require '../src/connection'
    expect(connection.on()).toEqual null
  